Bug 205526 - biology/bcftools: Update to 1.3
Summary: biology/bcftools: Update to 1.3
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Jason Unovitch
URL:
Keywords: easy, patch, patch-ready
Depends on: 205524
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-22 23:26 UTC by cartwright
Modified: 2015-12-25 01:34 UTC (History)
1 user (show)

See Also:
cartwright: maintainer-feedback+


Attachments
Patch to upgrade biology/bcftools to 1.3 (11.69 KB, text/plain)
2015-12-22 23:26 UTC, cartwright
vlad-fbsd: maintainer-approval+
Details
poudriere testport output for releng_10_2 (29.25 KB, text/plain)
2015-12-22 23:27 UTC, cartwright
no flags Details
poudriere testport output for releng_9_3 (29.37 KB, text/plain)
2015-12-22 23:27 UTC, cartwright
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description cartwright 2015-12-22 23:26:43 UTC
Created attachment 164519 [details]
Patch to upgrade biology/bcftools to 1.3

Update biology/bcftools to version 1.3.

Requires biology/htslib v1.3 (https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=205524)
Comment 1 cartwright 2015-12-22 23:27:01 UTC
Created attachment 164520 [details]
poudriere testport output for releng_10_2
Comment 2 cartwright 2015-12-22 23:27:30 UTC
Created attachment 164521 [details]
poudriere testport output for releng_9_3
Comment 3 VK freebsd_triage 2015-12-23 00:20:28 UTC
Comment on attachment 164519 [details]
Patch to upgrade biology/bcftools to 1.3

Thanks. Note that you have the ability to approve the patches for ports you're maintainer of.
Comment 4 commit-hook freebsd_committer 2015-12-25 01:32:07 UTC
A commit references this bug:

Author: junovitch
Date: Fri Dec 25 01:31:11 UTC 2015
New revision: 404398
URL: https://svnweb.freebsd.org/changeset/ports/404398

Log:
  biology/{bcftools,htslib,samtools}: update 1.2.x -> 1.3

  - Update ports to 1.3 and set BUILD_DEPENDS of dependent ports to require
    version 1.3 of htslib.
  - Add CURL option to htslib
  - Add TEST_TARGET with perl and bash dependencies for testing
  - Tidy up spacing and pkg-message's

  PR:		205524
  PR:		205525
  PR:		205526
  Submitted by:	cartwright@asu.edu (maintainer)

Changes:
  head/biology/bcftools/Makefile
  head/biology/bcftools/distinfo
  head/biology/bcftools/files/patch-Makefile
  head/biology/bcftools/files/patch-plugins_fixploidy.mk
  head/biology/bcftools/files/patch-plugins_vcf2sex.mk
  head/biology/bcftools/files/patch-prob1.c
  head/biology/bcftools/files/patch-test_test.pl
  head/biology/bcftools/files/pkg-message.in
  head/biology/bcftools/pkg-plist
  head/biology/htslib/Makefile
  head/biology/htslib/distinfo
  head/biology/htslib/files/patch-Makefile
  head/biology/htslib/files/patch-configure.ac
  head/biology/htslib/files/patch-cram_cram__io.c
  head/biology/htslib/files/patch-hfile__libcurl.c
  head/biology/htslib/pkg-plist
  head/biology/samtools/Makefile
  head/biology/samtools/distinfo
  head/biology/samtools/files/ax_with_curses.m4
  head/biology/samtools/files/ax_with_htslib.m4
  head/biology/samtools/files/patch-Makefile
  head/biology/samtools/files/patch-configure.ac
  head/biology/samtools/files/patch-dict.c
  head/biology/samtools/files/patch-errmod.c
  head/biology/samtools/files/patch-test_test.pl
  head/biology/samtools/files/pkg-message.in
  head/biology/samtools/pkg-plist
Comment 5 Jason Unovitch freebsd_committer 2015-12-25 01:34:10 UTC
Committed. Thanks!